#include"ld-dll.h"

dll_t * main_program;

void app_main(void)
{
 init_dll();
 main_program=load_dll("/RD/1/TEST.O");
 if(!main_program)
 {
  dprintf("Main load failed\n");
  exit(-1);
 }
 if(!load_dll("/RD/1/MOSKRNL.SO"))
 {
  dprintf("Unable to load moskrnl.so\n");
  exit(-1);
 }
 relocate_dlls();
 main_program->entry_point=(void *)mcoff_get_ref(main_program->obj,"_main");
 if(!main_program->entry_point)
 {
  dprintf("Failed to find main program entry point\n");
  exit(-1);
 }
 main_program->entry_point();
 exit(0);
}
